[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.CopyToClipboard

CopyToClipboard - copy a range of cells to clipboard

## Declaration

Source position: grids.pas line 1485

`public procedure TCustomStringGrid.CopyToClipboard(`
`AUseSelection: Boolean = false`
`);`

## Description

This method will copy a range of cells into the clipboard, the cells values are TAB separated. The range is defined based on optional AUseSelection parameter which is false by default and which means the range is set to the whole grid, including fixed cols/rows. If AUseSelection is true, the range of cells is set to current TCustomGrid.Selection

The latest version of this document can be found at lazarus-ccr.sourceforge.net.